<?php

namespace Modules\Common\Http\Controllers\Qiniu;

use Illuminate\Http\Request;
use Qiniu\Auth;

class CallbackController
{
    public function uploadToken(Request $request) {
        $qiniuConfig = config('common.qiniu');

        $auth = new Auth($qiniuConfig['accessKey'], $qiniuConfig['secretKey']);
        $expires = 7200;
        $policy  = [
            'scope' => $qiniuConfig['bucket'],
            'callbackUrl' => config('common.common.duanjuManageDomain') . '/api/qiniu/upload/callback',
            'callbackBody' => '{"hash":"$(etag)", "duration":"$(avinfo.video.duration)"}',
            'callbackBodyType' => 'application/json',
            'forceSaveKey' => true,
            'saveKey' => 'duanju/$(etag).$(ext)',
        ];
        $upToken = $auth->uploadToken($qiniuConfig['bucket'], null, $expires, $policy, true);
        return $upToken;
    }

    public function downloadUrl(Request $request) {

    }

    public function callback(Request $request) {
        myLog('qiniu-log')->info($request->all());
        return 1;
    }
}
